//
//  ConsoleSheetView.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import SwiftUI
import PulseUI

struct ConsoleSheetView: View {
  @Binding var showingConsoleSheet: Bool
  
  var body: some View {
    NavigationStack {
      ConsoleView()
        .closeButtonHidden()
        .navigationTitle("Debug consoles")
        .toolbar {
          ToolbarItem {
            Button {
              showingConsoleSheet.toggle()
            } label: {
              Text("Done")
                .bold()
            }
          }
        }
    }
  }
}

#Preview {
  ConsoleSheetView(showingConsoleSheet: .constant(true))
}
